Bug 431489 - GTK windows fly offscreen when dragging with touchscreen and wobbly windows effect enabled (Wayland only)
Summary: GTK windows fly offscreen when dragging with touchscreen and wobbly windows e...
Status: RESOLVED FIXED
Alias: None
Product: kwin
Classification: Plasma
Component: effects-window-management (show other bugs)
Version: 5.20.5
Platform: Other Linux
: NOR minor (vote)
Target Milestone: ---
Assignee: KWin default assignee
URL:
Keywords: wayland
Depends on:
Blocks:
 
Reported: 2021-01-12 12:08 UTC by personalizedrefrigerator
Modified: 2021-07-08 00:44 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.22.3


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description personalizedrefrigerator 2021-01-12 12:08:23 UTC
SUMMARY
With the "Wobbly Windows" effect enabled, many GTK windows fly offscreen on attempts to move with touch.


STEPS TO REPRODUCE
1. Open GNOME Characters
2. Enable "Wobbly Windows" in Desktop Effects
3. Move the mouse to the left side of the screen
4. Drag the window to the right (with touch)

OBSERVED RESULT
The window flies off the screen.


EXPECTED RESULT
The window should follow my finger.


SOFTWARE/OS VERSIONS
Windows: 
macOS: 
Linux/KDE Plasma:
(available in About System)
KDE Plasma Version: 5.20.5 (Wayland)
KDE Frameworks Version: 5.78.0
Qt Version: 5.15.2

ADDITIONAL INFORMATION
Comment 1 Nate Graham 2021-01-13 03:41:34 UTC
But it doesn't happen when the Wobbly Wendows effect is turned off?
Comment 2 personalizedrefrigerator 2021-01-13 12:48:24 UTC
(In reply to Nate Graham from comment #1)
> But it doesn't happen when the Wobbly Windows effect is turned off?

There's a different issue when the Wobbly Windows effect is turned off. Some GTK windows teleport at the start of a drag (depending on the mouse and touch position).
Comment 3 Andrey 2021-05-25 15:04:43 UTC
Is this issue about touchscreens only, can't it be reproduced somehow without?
Comment 4 Bug Janitor Service 2021-06-30 23:36:22 UTC
A possibly relevant merge request was started @ https://invent.kde.org/plasma/kwin/-/merge_requests/1138
Comment 5 Zamundaaa 2021-07-01 13:13:52 UTC
Git commit f54d7a2697261754cfcfcc06d0fb5682955f1859 by Xaver Hugl.
Committed on 01/07/2021 at 13:13.
Pushed by zamundaaa into branch 'master'.

xdgshellclient: fix moveresize with touch and CSD

When moveresize is done with touch we need to use the current touch
point and not the mouse position.
Related: bug 438283

M  +15   -2    src/xdgshellclient.cpp

https://invent.kde.org/plasma/kwin/commit/f54d7a2697261754cfcfcc06d0fb5682955f1859
Comment 6 Zamundaaa 2021-07-01 13:28:59 UTC
Git commit d78c89f0ede635d9aa2f6d7f369fe3d38d57b466 by Xaver Hugl.
Committed on 01/07/2021 at 13:16.
Pushed by zamundaaa into branch 'Plasma/5.22'.

xdgshellclient: fix moveresize with touch and CSD

When moveresize is done with touch we need to use the current touch
point and not the mouse position.
Related: bug 438283
(cherry picked from commit f54d7a2697261754cfcfcc06d0fb5682955f1859)

M  +15   -2    src/xdgshellclient.cpp

https://invent.kde.org/plasma/kwin/commit/d78c89f0ede635d9aa2f6d7f369fe3d38d57b466
Comment 7 Nate Graham 2021-07-03 02:03:56 UTC
Anything left to do here?
Comment 8 Zamundaaa 2021-07-04 00:06:33 UTC
It seems to work just fine on my laptop if I enable wobbly windows so probably not. Do reopen the bug if it still happens though